Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.ui.internal
Class JFrameMDIManager

    java.lang.Object
      jpicedt.ui.MDIManager
          jpicedt.ui.internal.JFrameMDIManager

public class JFrameMDIManager
extends MDIManager

An MDI Manager implementation for JFrame's

Since:
  jPicEdt 1.4
Version:
  $Id: JFrameMDIManager.java,v 1.3.2.1 2007/09/02 11:56:30 reynal Exp $
Author:
  Sylvain Reynal

Nested Class Summary

Nested classes inherited from class jpicedt.ui.MDIManager
`MDIManager.BoardEventHandler, MDIManager.DockablePanel, MDIManager.MDIComponent`

Field Summary

Fields inherited from class jpicedt.ui.MDIManager
`ACTIVE_BOARD_CHANGE, activeBoard, boardEventHandler, boardMap, dockablePanelsMap, KEY_MDIMANAGER, MDI_CHILDFRAMES, MDI_STANDALONEFRAMES`

Constructor Summary
`JFrameMDIManager(PEProgressBar progressBar)`

Method Summary
`void` | `addMDIComponent(MDIManager.MDIComponent c)` Add the given component to the desktop
`void` | `cascadeDrawingBoards()` Cascade all open internal frames
`void` | `closeBoard(PEDrawingBoard board)` Ask the given board to close itself
`MDIManager.MDIComponent` | `createMDIComponent(JPanel pane)` Factory method that creates an MDIComponent which acts as a UI delegate to the given pane.
`PEDrawingBoard` | `getActiveDrawingBoard()` Returns the currently active drawing board ; null if there's no frame hosting a PEDrawingBoard in the desktop.
`Dimension` | `getDesktopSize()` Returns the dimension of the desktop that hosts the components of this MDIManager.
`JMenuItem[]` | `getMenuItems()` Return an array containing all the menu-items components attached to menubars
`String` | `getName()`
`void` | `saveGeometry()` Saves UI geometry to JPicEdt's preferences.
`void` | `selectDrawingBoard(PEDrawingBoard board)` selects the given drawing board by bringing it to front.
`void` | `showModalDialogBox(String title, JComponent innerPane)` [pending] experimental ! 1.3.2-beta9 ; not used yet.
`void` | `tileDrawingBoardsHorizontally()` Tiles all open internal frames horizontally
`void` | `tileDrawingBoardsVertically()` Tiles all open internal frames vertically.
`void` | `update()` Updates local properties from JPicEdt's preferences (e.g.
`void` | `updateAccelerators()` Update JMenuItem's accelerators from the key/value pairs stored in JPicEdt's preferences
`void` | `updateFragmentsMenu()` Updates the "fragments" menu items
`void` | `updateMenuBar()` Update the content (i.e.
`void` | `updateRecentFilesSubmenu()` Updates the "recent files" sub-menu items after a frame was saved or opened.
`void` | `updateScriptsMenu()` Updates the "script" menu items
`void` | `updateToolkitMenu(PropertyChangeEvent e)` update currently "selected" menuitem in Toolkit menu
`void` | `updateUndoRedoMenus(String undoName, String redoName)` update "undo" and "redo" text
`void` | `updateWindowMenu()` Updates the Window menu as soon as an internal frame is opened or closed (this menu keeps tracks of every open internal frames so that the user can activate them quickly by use of a shortcut)

Methods inherited from class jpicedt.ui.MDIManager
`addDockablePanel, addDrawingBoard, createMDIManager, createPopupMenuFactory, getAllDrawingBoards, getDefaultManagerName, getDockablePanelFromKey, getDockablePanelKeys, getDrawingBoardCount, getHostingContainer, getInstalledMDIManagers, removeDrawingBoard, setHostingContainerTitle, showDockablePanel, showStatus, toggleDockablePanel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JFrameMDIManager

    public JFrameMDIManager(PEProgressBar progressBar)

Parameters:
  `progressBar` - The progress bar to inform of progress in the initialization ; can be null.

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in class `MDIManager`

### createMDIComponent

    public MDIManager.MDIComponent createMDIComponent(JPanel pane)

  Factory method that creates an MDIComponent which acts as a UI delegate to the given pane. This implementation returns a properly init'd JFrame, with the given pane added to its content-pane.

  Specified by:
    `createMDIComponent` in class `MDIManager`

### addMDIComponent

    public void addMDIComponent(MDIManager.MDIComponent c)

  Add the given component to the desktop

  Specified by:
    `addMDIComponent` in class `MDIManager`

### closeBoard

    public void closeBoard(PEDrawingBoard board)

  Description copied from class: `MDIManager`
  Ask the given board to close itself

  Specified by:
    `closeBoard` in class `MDIManager`

### getDesktopSize

    public Dimension getDesktopSize()

  Returns the dimension of the desktop that hosts the components of this MDIManager.

  Specified by:
    `getDesktopSize` in class `MDIManager`
  Returns:
    the screen size

### saveGeometry

    public void saveGeometry()

  Saves UI geometry to JPicEdt's preferences.

  Overrides:
    `saveGeometry` in class `MDIManager`
  See Also:
    `#InternalFrameMDIManager`, `MDIManager.addDockablePanel(java.lang.String, javax.swing.JPanel)`, `DockablePanel#setVisible`

### update

    public void update()

  Updates local properties from JPicEdt's preferences (e.g. GUI colours, rendering-hints,...) This implementation calls the superclass's method, then update the desktop-pane colour.

  Overrides:
    `update` in class `MDIManager`

### updateAccelerators

    public void updateAccelerators()

  Update JMenuItem's accelerators from the key/value pairs stored in JPicEdt's preferences

  Specified by:
    `updateAccelerators` in class `MDIManager`

### updateMenuBar

    public void updateMenuBar()

  Update the content (i.e. PEMenu's) of the menu-bar depending on the current state of the MDIManager.

  Specified by:
    `updateMenuBar` in class `MDIManager`

### updateRecentFilesSubmenu

    public void updateRecentFilesSubmenu()

  Updates the "recent files" sub-menu items after a frame was saved or opened.

  Specified by:
    `updateRecentFilesSubmenu` in class `MDIManager`
  Since:
    PicEdt 1.1

### updateScriptsMenu

    public void updateScriptsMenu()

  Updates the "script" menu items

  Specified by:
    `updateScriptsMenu` in class `MDIManager`
  Since:
    jpicedt 1.3.2

### updateFragmentsMenu

    public void updateFragmentsMenu()

  Updates the "fragments" menu items

  Specified by:
    `updateFragmentsMenu` in class `MDIManager`
  Since:
    jpicedt 1.3.2

### updateUndoRedoMenus

    public void updateUndoRedoMenus(String undoName,
                                    String redoName)

  update "undo" and "redo" text

  Specified by:
    `updateUndoRedoMenus` in class `MDIManager`
  Since:
    jpicedt 1.3.2

### updateWindowMenu

    public void updateWindowMenu()
                          throws MissingResourceException

  Updates the Window menu as soon as an internal frame is opened or closed (this menu keeps tracks of every open internal frames so that the user can activate them quickly by use of a shortcut)

  Specified by:
    `updateWindowMenu` in class `MDIManager`
  Throws:
    `MissingResourceException`
  Since:
    PicEdt 1.1

### updateToolkitMenu

    public void updateToolkitMenu(PropertyChangeEvent e)

  update currently "selected" menuitem in Toolkit menu

  Specified by:
    `updateToolkitMenu` in class `MDIManager`

### getMenuItems

    public JMenuItem[] getMenuItems()

  Return an array containing all the menu-items components attached to menubars

  Specified by:
    `getMenuItems` in class `MDIManager`

### getActiveDrawingBoard

    public PEDrawingBoard getActiveDrawingBoard()

  Returns the currently active drawing board ; null if there's no frame hosting a PEDrawingBoard in the desktop.

  Specified by:
    `getActiveDrawingBoard` in class `MDIManager`

### selectDrawingBoard

    public void selectDrawingBoard(PEDrawingBoard board)

  selects the given drawing board by bringing it to front.

  Specified by:
    `selectDrawingBoard` in class `MDIManager`

### showModalDialogBox

    public void showModalDialogBox(String title,
                                   JComponent innerPane)

  [pending] experimental ! 1.3.2-beta9 ; not used yet.

### cascadeDrawingBoards

    public void cascadeDrawingBoards()

  Cascade all open internal frames

  Specified by:
    `cascadeDrawingBoards` in class `MDIManager`

### tileDrawingBoardsHorizontally

    public void tileDrawingBoardsHorizontally()

  Tiles all open internal frames horizontally

  Specified by:
    `tileDrawingBoardsHorizontally` in class `MDIManager`

### tileDrawingBoardsVertically

    public void tileDrawingBoardsVertically()

  Tiles all open internal frames vertically.

  Specified by:
    `tileDrawingBoardsVertically` in class `MDIManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org